Get Playlist Stream Estimates

Return the latest weekly snapshot for a track when no query params are supplied, one requested snapshot via date, or all weekly snapshots in a since/until range. Each row describes a trailing 28-day estimate as of its snapshot date.

Path Parameters
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Integer numbers.

Query Parameters
  • date
    Type: string Format: date

    Snapshot date in YYYY-MM-DD format. Mutually exclusive with since/until. Omit all of date/since/until to get the latest available snapshot.

  • since
    Type: string Format: date

    Start of the weekly snapshot history range in YYYY-MM-DD format.

  • until
    Type: string Format: date

    End of the weekly snapshot history range in YYYY-MM-DD format.

Responses
  • application/json
Request Example for get/api/track/{id}/playlist-stream-estimates
curl https://api.chartmetric.com/api/track/0/playlist-stream-estimates \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "cm_track": 141777092,
    "timestp": "2026-07-11",
    "playlist_stream_pct": 58.11359808113311,
    "playlist_count": 17982,
    "expected_playlist_streams": 203672324,
    "streams_gained_in_period": 72672055,
    "expected_editorial": 113511005,
    "expected_chart": 12482763,
    "expected_user_other": 77678556
  }
}